Bug 165673 - missing support of /etc/sysconfig/snmpd
missing support of /etc/sysconfig/snmpd
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-11 06:44 EDT by Peter Bieringer
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-18 04:26:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2005-08-11 06:44:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de-DE; rv:1.7.10) Gecko/20050717 Firefox/1.0.6

Description of problem:
/etc/rc.d/init.d/snmpd doesn't support /etc/sysconfig/snmpd to get options for starting the daemon.
This would be required for e.g. specifying a dedicated listening address (e.g. for security reasons) like described in man page:

SNMPD(8)                                                                  Net-SNMP                                                                  SNMPD(8)

NAME
       snmpd - daemon to respond to SNMP request packets.

SYNOPSIS
       snmpd [OPTIONS] [LISTENING ADDRESSES]



Version-Release number of selected component (if applicable):
net-snmp-5.1.2-11

How reproducible:
Always

Steps to Reproduce:
1. Try to bind snmpd to a dedicated listening address for security reasons
  

Actual Results:  Have to patch initscript

Workaround is to patch the initscript file:

--- /etc/rc.d/init.d/snmpd.orig 2005-08-11 12:37:24.732319782 +0200
+++ /etc/rc.d/init.d/snmpd      2005-08-11 12:38:04.235639177 +0200
@@ -12,7 +12,7 @@
 # source function library
 . /etc/init.d/functions

-OPTIONS="-Lsd -Lf /dev/null -p /var/run/snmpd -a"
+OPTIONS="-Lsd -Lf /dev/null -p /var/run/snmpd -a 192.0.2.1"
 RETVAL=0
 prog="snmpd"



Expected Results:  Instead of patching initscript, add/change a variable in /etc/sysconfig/snmpd

Additional info:
Comment 1 Radek Vokal 2005-08-18 04:26:25 EDT
I think this can be set inside /etc/snmp/snmpd.conf by specifing agentadress
option. 
Comment 2 Peter Bieringer 2005-08-18 04:52:42 EDT
Thank you for that hint, haven't seen in man page.
Perhaps a hint in config would be good:

#### Bind snmpd to localhost address only (optional)
# agentaddress localhost:161

Note You need to log in before you can comment on or make changes to this bug.